> ## Documentation Index
> Fetch the complete documentation index at: https://docs.chargefy.io/llms.txt
> Use this file to discover all available pages before exploring further.

# List Invoices

> Lista invoices.

Lista invoices em ordem decrescente de criação. Use invoices para acompanhar
ciclos de assinatura, criações de assinatura (inclusive trial) e cobranças
avulsas. Compras one-off não aparecem aqui — esse fluxo está em
[PaymentIntent](/api-reference/payment-intents/list).

Cada item pode trazer `hosted_invoice_url`, uma URL ativa da página pública
daquela invoice.

## Filtros

<ParamField query="customer" type="string">
  Filtra por customer (`cus_*`).
</ParamField>

<ParamField query="subscription" type="string">
  Filtra por subscription (`sub_*`).
</ParamField>

<ParamField query="payment_intent" type="string">
  Filtra pela tentativa de pagamento atual (`pi_*`).
</ParamField>

<ParamField query="status" type="string">
  Filtra por status: `draft`, `open`, `paid`, `uncollectible` ou `void`.
</ParamField>

<ParamField query="created_at[gte]" type="string">
  Filtra invoices criadas a partir de uma data ISO 8601.
</ParamField>

<ParamField query="limit" type="integer">
  Quantidade de itens, de `1` a `100`.
</ParamField>

<ParamField query="starting_after" type="string">
  Cursor para a próxima página.
</ParamField>

<ParamField query="ending_before" type="string">
  Cursor para a página anterior.
</ParamField>

<RequestExample>
  ```bash cURL theme={}
  curl -X GET "https://api.chargefy.io/v1/invoices?customer=cus_123&limit=10" \
    -H "Authorization: Bearer {{API_KEY}}"
  ```
</RequestExample>

<ResponseExample>
  ```json Response 200 theme={}
  {
    "object": "list",
    "data": [
      {
        "id": "inv_123",
        "object": "invoice",
        "allow_late_payment": true,
        "amount_credit_balance_applied": 0,
        "amount_discount": 0,
        "amount_due": 9990,
        "amount_due_now": 9990,
        "amount_paid": 9990,
        "amount_remaining": 0,
        "amount_subtotal": 9990,
        "amount_tax": 0,
        "amount_total": 9990,
        "billing_reason": "subscription_cycle",
        "collection_method": "charge_automatically",
        "created_at": "2026-05-19T18:00:00Z",
        "currency": "brl",
        "customer": "cus_123",
        "customer_billing_address": {},
        "customer_billing_name": "Ada Lovelace",
        "customer_document": "12345678901",
        "customer_document_type": "cpf",
        "customer_email": "ada@example.com",
        "customer_name": "Ada Lovelace",
        "default_payment_method": "pm_123",
        "description": null,
        "due_date": "2026-05-19T18:00:00Z",
        "ending_balance": 0,
        "hosted_invoice_url": "https://billing.chargefy.io/invoice/ilink_8Pz6wKf3tVn2Qa9LmXr4Bc7D",
        "interest": null,
        "interest_amount": null,
        "invoice_pdf_url": null,
        "late_fee": null,
        "late_fee_amount": null,
        "latest_charge": "ch_123",
        "line_items": [
          {
            "id": "ili_123",
            "object": "invoice_line_item",
            "amount_discount": 0,
            "amount_subtotal": 9990,
            "amount_tax": 0,
            "amount_total": 9990,
            "currency": "brl",
            "description": "Plano mensal",
            "discountable": true,
            "metadata": {},
            "period_end": "2026-06-19T18:00:00Z",
            "period_start": "2026-05-19T18:00:00Z",
            "position": 0,
            "price": "price_123",
            "price_data": null,
            "product": "prod_123",
            "proration": false,
            "proration_details": {},
            "quantity": 1,
            "recurring_interval": "month",
            "recurring_interval_count": 1,
            "subscription_item": "si_123",
            "unit_amount": 9990
          }
        ],
        "livemode": true,
        "marked_uncollectible_at": null,
        "metadata": {},
        "number": "K7M2-0001",
        "paid_at": "2026-05-19T18:01:02Z",
        "payment_intent": "pi_123",
        "payment_method_types": [
          "credit_card"
        ],
        "payments": {
          "object": "list",
          "data": [
            {
              "id": "inpay_123",
              "object": "invoice_payment",
              "amount_paid": 9990,
              "amount_requested": 9990,
              "canceled_at": null,
              "charge": "ch_123",
              "created_at": "2026-05-19T18:00:05Z",
              "currency": "brl",
              "default": true,
              "livemode": true,
              "metadata": {},
              "paid_at": "2026-05-19T18:01:02Z",
              "payment_intent": "pi_123",
              "status": "paid",
              "updated_at": "2026-05-19T18:01:02Z"
            }
          ],
          "has_more": false,
          "url": "/v1/invoices/inv_123/payments"
        },
        "starting_balance": 0,
        "statement_descriptor": null,
        "status": "paid",
        "subscription": "sub_123",
        "updated_at": "2026-05-19T18:01:02Z",
        "voided_at": null
      }
    ],
    "has_more": false,
    "url": "/v1/invoices"
  }
  ```
</ResponseExample>
